Skip to main content
DELETE
/
ranking
/
users
/
{userId}
Exile user
curl --request DELETE \
  --url https://api.readmin.app/ranking/users/{userId} \
  --header 'api-key: <api-key>'
import requests

url = "https://api.readmin.app/ranking/users/{userId}"

headers = {"api-key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'api-key': '<api-key>'}};

fetch('https://api.readmin.app/ranking/users/{userId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "message": "User has been exiled."
}
{
  "success": false,
  "reason": "Missing userId"
}
{
  "success": false,
  "reason": "Exile users is not enabled for this key."
}
{
  "success": false,
  "reason": "User not found."
}
{
  "success": false,
  "reason": "Bot is logged out, action has been marked as failed."
}

Authorizations

api-key
string
header
required

Path Parameters

userId
string
required

Response

Success

success
boolean
default:true
message
enum<string>
Available options:
User has been exiled.